API ReferenceapicashGET /v1/cash/balance

GET /v1/cash/balance

Service: cash · operationId: (none)

Get current cash balance for a user+brand

Required scopes

(no scope declared — review service config)

Query parameters

  • user_id (string) required
  • brand_id (string) required

Responses

200 Balance retrieved

{
  "type": "object",
  "properties": {
    "account_id": {
      "type": "string"
    },
    "user_id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "balance_cents": {
      "type": "integer"
    },
    "currency": {
      "type": "string"
    }
  },
  "required": [
    "account_id",
    "user_id",
    "brand_id",
    "balance_cents",
    "currency"
  ]
}

404 Account not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Internal server error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://cash.platform.loop.health/v1/cash/balance \
  -H "Authorization: Bearer $ACCESS_TOKEN"